/*
ADC-Messung M16/M32

Alle ADC-Kanle werden fortlaufend gemessen und im Interrupt ausgelesen.
Fr jeden Kanal wird erst die "dummy conversion" ausgefhrt, dann der Mittelwert aus den nchsten beiden Messungen gebildet.

Die Ergebnisse werden in adcwerte[] abgelegt.

22.10.2008: erstellt

Status: nur externe Referenz getestet!
*/

#ifndef _AUTOADC
#define _AUTOADC


#include <avr/io.h>
#include <avr/interrupt.h>

/*
Referenz festlegen, Mglichkeiten:
	EXTERNAL
	INTERNAL
	AVCC
*/
#define REFERENCE EXTERNAL

/* Array mit den ADC-Werten, 16bit*/
extern volatile uint16_t adcwerte[8];


/* automatische Messung starten*/
void start_autoADC(void);

/*automatische Messung beenden*/
void stop_autoADC(void);



#endif

